/*******************************************************************************
* File Name: SEL1.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SEL1_ALIASES_H) /* Pins SEL1_ALIASES_H */
#define CY_PINS_SEL1_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define SEL1_0			(SEL1__0__PC)
#define SEL1_0_INTR	((uint16)((uint16)0x0001u << SEL1__0__SHIFT))

#define SEL1_1			(SEL1__1__PC)
#define SEL1_1_INTR	((uint16)((uint16)0x0001u << SEL1__1__SHIFT))

#define SEL1_2			(SEL1__2__PC)
#define SEL1_2_INTR	((uint16)((uint16)0x0001u << SEL1__2__SHIFT))

#define SEL1_INTR_ALL	 ((uint16)(SEL1_0_INTR| SEL1_1_INTR| SEL1_2_INTR))

#endif /* End Pins SEL1_ALIASES_H */


/* [] END OF FILE */
