/*******************************************************************************
* File Name: SEL2.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SEL2_ALIASES_H) /* Pins SEL2_ALIASES_H */
#define CY_PINS_SEL2_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define SEL2_0			(SEL2__0__PC)
#define SEL2_0_INTR	((uint16)((uint16)0x0001u << SEL2__0__SHIFT))

#define SEL2_1			(SEL2__1__PC)
#define SEL2_1_INTR	((uint16)((uint16)0x0001u << SEL2__1__SHIFT))

#define SEL2_2			(SEL2__2__PC)
#define SEL2_2_INTR	((uint16)((uint16)0x0001u << SEL2__2__SHIFT))

#define SEL2_INTR_ALL	 ((uint16)(SEL2_0_INTR| SEL2_1_INTR| SEL2_2_INTR))

#endif /* End Pins SEL2_ALIASES_H */


/* [] END OF FILE */
