/*******************************************************************************
* File Name: SEL3.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SEL3_ALIASES_H) /* Pins SEL3_ALIASES_H */
#define CY_PINS_SEL3_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define SEL3_0			(SEL3__0__PC)
#define SEL3_0_INTR	((uint16)((uint16)0x0001u << SEL3__0__SHIFT))

#define SEL3_1			(SEL3__1__PC)
#define SEL3_1_INTR	((uint16)((uint16)0x0001u << SEL3__1__SHIFT))

#define SEL3_2			(SEL3__2__PC)
#define SEL3_2_INTR	((uint16)((uint16)0x0001u << SEL3__2__SHIFT))

#define SEL3_INTR_ALL	 ((uint16)(SEL3_0_INTR| SEL3_1_INTR| SEL3_2_INTR))

#endif /* End Pins SEL3_ALIASES_H */


/* [] END OF FILE */
