/*******************************************************************************
* File Name: Pin_12.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Pin_12_ALIASES_H) /* Pins Pin_12_ALIASES_H */
#define CY_PINS_Pin_12_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define Pin_12_0			(Pin_12__0__PC)
#define Pin_12_0_INTR	((uint16)((uint16)0x0001u << Pin_12__0__SHIFT))

#define Pin_12_1			(Pin_12__1__PC)
#define Pin_12_1_INTR	((uint16)((uint16)0x0001u << Pin_12__1__SHIFT))

#define Pin_12_2			(Pin_12__2__PC)
#define Pin_12_2_INTR	((uint16)((uint16)0x0001u << Pin_12__2__SHIFT))

#define Pin_12_INTR_ALL	 ((uint16)(Pin_12_0_INTR| Pin_12_1_INTR| Pin_12_2_INTR))

#endif /* End Pins Pin_12_ALIASES_H */


/* [] END OF FILE */
